Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000023 [cparser] parser minor always 2008-12-13 21:06 2009-01-28 21:55
Reporter Matze View Status public  
Assigned To Tron
Priority normal Resolution fixed  
Status closed   Product Version
Summary 0000023: no support for different input encodings
Description cparser always assumes ASCII/current encoding. It should be possible to at least read UTF-8 or better any encoding with the help of iconv.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000048)
Matze (administrator)
2009-01-20 11:13

what's the status of this Tron?
(0000049)
Tron (administrator)
2009-01-20 15:54

Different input encodings (UTF-8 (default), ISO-8859-1, ISO-8859-15 and cp1252) are now supported via the GCC compatible switch -finput-charset=.

- Issue History
Date Modified Username Field Change
2008-12-13 21:06 Matze New Issue
2008-12-13 21:06 Matze Status new => confirmed
2009-01-20 11:13 Matze Note Added: 0000048
2009-01-20 11:13 Matze Assigned To => Tron
2009-01-20 15:54 Tron Note Added: 0000049
2009-01-20 15:54 Tron Status confirmed => resolved
2009-01-20 15:54 Tron Resolution open => fixed
2009-01-28 21:55 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker